com.h3c.of.lib.instr

## Class ActOutput

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.instr.Action
    - - com.h3c.of.lib.instr.ActOutput

- All Implemented Interfaces:
    Structure, Comparable<Action>

      public class ActOutput
      extends Action

  Flow action `OUTPUT`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONTROLLER_MAX` Maximum maxLen value which can be used to request a specific byte length to be sent to the controller.
    `static int` | `CONTROLLER_NO_BUFFER` Indicates that no buffering should be applied and the whole packet is to be sent to the controller.

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaxLen()` Returns the max length value.
    `BigPortNumber` | `getPort()` Returns the number of the port through which the packet should be sent.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.instr.Action

      `compareTo, getActionType, getTotalLength, toDebugString, toDebugString`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONTROLLER_MAX

          public static final int CONTROLLER_MAX

      Maximum maxLen value which can be used to request a specific byte length to be sent to the controller.
      See Also:
        Constant Field Values

    - #### CONTROLLER_NO_BUFFER

          public static final int CONTROLLER_NO_BUFFER

      Indicates that no buffering should be applied and the whole packet is to be sent to the controller.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Action`

    - #### getPort

          public BigPortNumber getPort()

      Returns the number of the port through which the packet should be sent.
      Returns:
        the port number

    - #### getMaxLen

          public int getMaxLen()

      Returns the max length value. When the port is `Port.CONTROLLER`, this value indicates the maximum number of bytes to send. A value of zero means no bytes of the packet should be sent. A value of `CONTROLLER_MAX` is the maximum that can be used to request a specific byte length. A value of `CONTROLLER_NO_BUFFER` means that the packet is not buffered and the complete packet is to be sent to the controller.
      Returns:
        the max length value

Copyright © 2014. All Rights Reserved.